'use strict';

const md5 = require('md5');

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.bulkUpdate('clients', 
      {
        login: 'ivan_ivanov',
        password: md5('ivan_password_2026')
      }, 
      { client_id: 1 }
    );

    await queryInterface.bulkUpdate('clients', 
      {
        login: 'maria_petrova',
        password: md5('maria_secure_99')
      }, 
      { client_id: 2 }
    );
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.bulkUpdate('clients', 
      {
        login: null,
        password: null
      }, 
      { client_id: [1, 2] }
    );
  }
};